<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/e18f1079ce.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="/css/user/login.css">
    <title>Trang đăng nhập</title>
</head>
<body>
    <div class="main">
        <div class="welcome">
            <span></span>
            <span></span>
        </div>
        <div class="card-login">
            <form action="/user/login" id="form-login" method="POST">
                <div class="form-group">
                    <div class="input-group">
                        <span class="input-group-text" id="inputGroupPrepend"><i class="fas fa-user-secret fa-1x"></i></span>
                        <input type="email" name="email" class="form-control" id="email" aria-describedby="inputGroupPrepend" placeholder="Enter your name">
                    </div>               
                    <span class="form-message"></span>
                </div>

                <div class="form-group">
                    <div class="input-group">
                        <span class="input-group-text" id="inputGroupPrepend"><i class="fas fa-key fa-1x"></i></span>
                        <input type="password" name="password" placeholder="Enter your password" class="form-control" id="password">
                    </div>
                    <span class="form-message"></span>
                </div>
                <button type="submit" class="btn btn-primary shadow-none">Sign in</button>
            </form>
        </div>
    </div>
    <a href="/user/register" class="success">register</button>
    <script src="/scripts/validator.js" type="text/javascript"></script>
    <script src="/scripts/message.js" type="text/javascript"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    {{!-- <script type="text/javascript">
        Validator({
            formValidate: '#form-login',
            formGroupSelector: '.form-group',
            errorSelector: ".form-message", 
            rules: [
                Validator.isRequired('#email', message.Msg_001),
                Validator.isRequired('#password', message.Msg_001),
            ],
            onSubmit: function(data) {
                const response = await fetch('/user/login', {
                    method: 'POST',
                    body: JSON.stringify(data),
                    headers: {'Content-Type': 'application/json'
                }
        }
        );
            }})
    </script> --}}
</body>
</html>